<?php
require_once(dirname(__FILE__)."/"."global.php");
header('Content-Type: text/html; charset=big5');

/**
*發表評論
**/
if($action=="post"){

	//驗證碼處理
	if(!$web_admin&&$groupdb[CommentArticleYzImg])
	{
		if(!get_cookie("yzImgNum")||get_cookie("yzImgNum")!=$yzimg)
		{
			die("驗證碼不符合,評論失敗");
		}
		else
		{
			//setcookie("yzImgNum","0",$timestamp+3600,"/");
		}
	}

	if(!$content)
	{
		die("內容不能為空");
	}
	

	//權限判斷是否同意發表評論
	//禁止全部人評論
	if($webdb[forbidComment])
	{
		$allow=0;
	}
	//會員可以評論,但游客不能評論
	elseif(!$webdb[allowGuestComment]&&!$lfjid)
	{
		$allow=0;
	}
	//全部人可以評論
	else
	{
		$allow=1;
	}


	//評論自動通過審核的判斷
	//全部人的評論自動通過審核
	if($webdb[allowGuestCommentPass])
	{
		$yz=1;
	}
	//只有會員的才自動通過審核
	elseif($webdb[allowMemberCommentPass]&&$lfjid)
	{
		$yz=1;
	}
	//都不能自動通過審核
	else
	{
		$yz=0;
	}


	$username=filtrate($username);
	$content=filtrate($content);
	$content=str_replace("@@br@@","<br>",$content);

	//過濾不健康的字
	$username=replace_bad_word($username);
	$content=replace_bad_word($content);

	//處理有人惡意用他人帳號做署名的
	if($username)
	{
		$rs=$db->get_one(" SELECT $TB[uid] AS uid FROM $TB[table] WHERE $TB[username]='$username' ");
		if($rs[uid]!=$lfjuid)
		{
			$username="匿名";
		}
	}
	
	$rss=$db->get_one(" SELECT * FROM {$pre}special WHERE id='$cid' ");
	if(!$rss)
	{
		die("原數據不存在");
	}

	$username || $username=$lfjid;

	/*如果系統做了限制,那麼有的評論將不給提交succeed,但沒做提示評論失敗*/
	if($allow)
	{
		$db->query("INSERT INTO `{$pre}special_comment` (`cid` , `uid` , `username` , `posttime` , `content` , `ip` , `icon` , `yz` ) VALUES ('$cid', '$lfjuid', '$username', '$timestamp', '$content', '$onlineip', '$icon', '$yz')");
	}
}

/**
*刪除評論
**/
elseif($action=="del")
{
	$rs=$db->get_one("SELECT * FROM `{$pre}special_comment` WHERE id='$id'");
	if($web_admin||$lfjuid==$rs[uid])
	{
		$db->query("DELETE FROM `{$pre}special_comment` WHERE id='$id'");
	}
}

//判斷是否顯示全部評論
if(!$webdb[showNoPassComment])
{
	$SQL=" AND A.yz=1 ";
}
else
{
	$SQL="";
}

$rows=$webdb[showCommentRows]?$webdb[showCommentRows]:8;

if($page<1)
{
	$page=1;
}
$min=($page-1)*$rows;

/*評論字數再多也只限制顯示1000個字*/
$leng=10000;

$query=$db->query("SELECT A.*,B.icon FROM `{$pre}special_comment` A LEFT JOIN {$pre}memberdata B ON A.uid=B.uid WHERE A.cid='$cid' $SQL ORDER BY A.cid DESC LIMIT $min,$rows");
while( $rs=$db->fetch_array($query) )
{
	if(!$rs[username]){
		$detail=explode(".",$rs[ip]);
		$rs[username]="$detail[0].$detail[1].$detail[2].*";
	}
	if($rs[icon]){
		$rs[icon]=tempdir($rs[icon]);
	}
	$rs[posttime]=date("Y-m-d H:i:s",$rs[posttime]);
	$rs[content]=get_word($rs[full_content]=$rs[content],$leng);
	$rs[content]=str_replace("\n","<br>",$rs[content]);
	$rs[content]=kill_badword($rs[content]);
	$rs[username]=kill_badword($rs[username]);
	$listdb[]=$rs;
}

$showpage=getpage("`{$pre}special_comment` A"," WHERE A.cid='$cid' $SQL","?cid=$cid",$rows);
$showpage=preg_replace("/\?cid=([\d]+)&page=([\d]+)/is","javascript:getcomment('$webdb[www_url]/do/special_comment_ajax.php?cid=\\1&page=\\2')",$showpage);

require_once(html('special_comment_ajax'));

?>